Download it now!
Bug 65975 - build fails ...
Summary: build fails ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.2.0 target:4.1.0.2
Keywords:
Depends on:
Blocks: mab4.1
  Show dependency treegraph
 
Reported: 2013-06-20 16:13 UTC by Michael Meeks
Modified: 2013-06-27 13:38 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2013-06-20 16:13:51 UTC
When building on Windows in a 32bit VM running on a 64bit host CPU - I get horrible compile failures.

my MSVC_DLL_PATH in config_host.mk points to a VC/redist/x64 directory - which in turn is picked up by external/Package_msvs*.mk to whack an incompatible binary into the solver.

That then results in soltools' cpp.exe (the first compiled binary I ran I guess) to fall in a heap - and debugging it is a royal pain. windbg finally told me that msvcr110.dll was corrupt - ie. wrong architecture.

I imagine this is configure.ac's fault at root :-)
Comment 1 Commit Notification 2013-06-20 16:44:30 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0cf61137d2a1993d310e2e8ff9bda4d0ed493ef0

fdo#65975 - fix presumed 32bit windows compile bug in configure.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2013-06-26 22:14:28 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=150d258234be57619c860c51a74410caf650cb00&h=libreoffice-4-1

fdo#65975 - fix failed compilation on windows 32bit.


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Michael Meeks 2013-06-27 08:50:30 UTC
The gerrit thread had.

Andras Timar		Jun 20 5:55 PM

Patch Set 1: This need some tweaks before it is merged

Your patch fixes your build but breaks the "logic". With this patch 64-bit shell extensions will not work for users who do not have the 64-bit VC2010 Runtime installed. I'll prepare a better patch soon.
Michael Stahl		Jun 20 6:55 PM

Patch Set 1: This need some tweaks before it is merged

Andras is right: the 64bit dlls are copied to solver/bin so that the installer finds them since they are packaged as files, while the 32bit ones are in some mystery MSM thingy and (apparently) don't need to be in solver.

confusingly the same find_msvc_x64_dlls function also finds debug dlls (for the build CPU architecture, not necessarily 64bit), which should not be in the installation set; i'm not sure if it's actually necessary to copy these to solver/bin nowadays (AFAIR it was needed for MSVC 2008 but they should actually be installed on the system by MSVC).

so clearly there's some need for cleanup here.


But Fridrich merged it anyway to 4.1. So I'll close this.

The reality is that the -4-1 and master branches are un-buildable without this, and the build fails in a silent and extremely ugly fashion.

Personally I'd prefer to have something buildable that misses out on some obscure feature - but ...
Comment 4 Commit Notification 2013-06-27 12:20:50 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9631d68140e344379fab8606e8a31a84de9074e6&h=libreoffice-4-1

Revert "fdo#65975 - fix failed compilation on windows 32bit."


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2013-06-27 12:21:08 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=315c31721ac849e201d5f5c9097226306a7a1c00

Revert "fdo#65975 - fix presumed 32bit windows compile bug in configure."



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-06-27 12:21:26 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9a6d5f15afa16e68d38e4a0cfd5ef904be481a17

fdo#65975: do not put MSVC 64bit runtimes in solver/bin



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-06-27 13:38:52 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=31f9f18f86a4dd587661f210cd866f6ce1608634&h=libreoffice-4-1

fdo#65975: do not put MSVC 64bit runtimes in solver/bin


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.